from django.contrib import admin

from .models import SIPAccount, SnomPhone, SnomPhoneType, SnomFunctionKey


class SnomFunctionKeyInline(admin.TabularInline):
    model = SnomFunctionKey


@admin.display(description="SIP Account")
def sip_username_ip(obj):
    return f"{obj.username}@{obj.ip}"


@admin.register(SIPAccount)
class SIPAccountAdmin(admin.ModelAdmin):
    list_display = (sip_username_ip, 'display_name', 'tone_scheme')
    list_filter = ('ip', 'tone_scheme')


@admin.register(SnomPhone)
class SnomPhoneAdmin(admin.ModelAdmin):
    list_display = ('phone_name', 'mac_address', 'sip_account')


@admin.register(SnomPhoneType)
class SnomPhoneTypeAdmin(admin.ModelAdmin):
    inlines = [
        SnomFunctionKeyInline
    ]